summaryrefslogtreecommitdiffstats
path: root/nuttx/tools/mkdeps.sh
diff options
context:
space:
mode:
authorpatacongo <patacongo@7fd9a85b-ad96-42d3-883c-3090e2eb8679>2007-02-17 23:21:28 +0000
committerpatacongo <patacongo@7fd9a85b-ad96-42d3-883c-3090e2eb8679>2007-02-17 23:21:28 +0000
commit2ec7825e0da8f1af15869d94b0272215acc29ec8 (patch)
tree1c390958fae49e34dce698b175487e6d4681e540 /nuttx/tools/mkdeps.sh
parent8a23a89176bb272afaecf2075ee246289ded08db (diff)
NuttX RTOS
git-svn-id: https://nuttx.svn.sourceforge.net/svnroot/nuttx/trunk@3 7fd9a85b-ad96-42d3-883c-3090e2eb8679
Diffstat (limited to 'nuttx/tools/mkdeps.sh')
-rwxr-xr-xnuttx/tools/mkdeps.sh77
1 files changed, 77 insertions, 0 deletions
diff --git a/nuttx/tools/mkdeps.sh b/nuttx/tools/mkdeps.sh
new file mode 100755
index 0000000000..086778fbe4
--- /dev/null
+++ b/nuttx/tools/mkdeps.sh
@@ -0,0 +1,77 @@
+#!/bin/sh
+# mkdeps.sh
+#
+# Copyright (C) 2007 Gregory Nutt. All rights reserved.
+# Author: Gregory Nutt <spudmonkey@racsa.co.cr>
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+#
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in
+# the documentation and/or other materials provided with the
+# distribution.
+# 3. Neither the name Gregory Nutt nor the names of its contributors may be
+# used to endorse or promote products derived from this software
+# without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
+# FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
+# COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
+# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
+# BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
+# OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
+# AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
+# ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+#
+#
+# Usage:
+
+function show_usage ()
+{
+ echo "$0 CC -- CFLAGS -- files"
+ exit 1
+}
+
+cc=
+cflags=
+files=
+args=
+
+# Accumulate CFLAGS up to "--"
+for i in $* ; do
+ case $i in
+ --*)
+ cc=$cflags
+ cflags=$args
+ args=
+ ;;
+ *)
+ args="$args $i"
+ ;;
+ esac
+done
+files=$args
+
+if [ -z "$cc" ]; then
+ echo "No compiler specified"
+ exit 1
+fi
+
+if [ -z "$files" ]; then
+ echo "No files specified"
+ exit 2
+fi
+
+for file in $files ; do
+ $cc -M $cflags $file || \
+ { echo "$cc -M $cflags $file FAILED" ; exit 3 ; }
+done
+